# Class OptionsFromRemoteMethodDirective<Value, Parameters>

#### Type Parameters

- Value
- Parameters

#### Hierarchy (view full)

- OnInit
- ExtractFormDefinitionMixin
- ExtractRemoteMethodsMixin
  - OptionsFromRemoteMethodDirective

#### Implements

- OnChanges

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:87
- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:97

#####
Index

### Constructors

constructor

### Properties

cdr
injector
ngControl
parameters?
remoteMethodLoader
remoteMethodToken
resetOnChange?
template
viewContainerRef
withoutParameters

### Methods

extractFormDefinition
extractRemoteMethodToken
extractRemoteMethods
ngOnChanges
ngOnInit
renderTemplate

## Constructors

### constructor

- new OptionsFromRemoteMethodDirective<Value, Parameters>(ngControl, template, remoteMethodLoader, viewContainerRef, injector, cdr): OptionsFromRemoteMethodDirective<Value, Parameters>

- #### Type Parameters

  - Value
  - Parameters

  #### Parameters

  - ngControl: NgControl
  - template: TemplateRef<OptionsFromRemoteMethodTemplateContext>
  - remoteMethodLoader: RemoteMethodLoader
  - viewContainerRef: ViewContainerRef
  - injector: Injector
  - cdr: ChangeDetectorRef

  #### Returns OptionsFromRemoteMethodDirective<Value, Parameters>

  Inherited from ExtractRemoteMethodsMixin.constructor

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:110

## Properties

### `Private` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:122

### `Private` `Readonly` injector

injector: Injector

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:120

### `Private` `Readonly` ngControl

ngControl: NgControl

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:112

### `Optional` parameters

parameters?: Parameters

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:100

### `Private` `Readonly` remoteMethodLoader

remoteMethodLoader: RemoteMethodLoader

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:116

### `Private` remoteMethodToken

remoteMethodToken: IdOrInstanceOrToken<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:108

### `Optional` resetOnChange

resetOnChange?: Value

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:103

### `Private` `Readonly` template

template: TemplateRef<OptionsFromRemoteMethodTemplateContext>

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:114

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:118

### withoutParameters

withoutParameters: boolean = false

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:106

## Methods

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### `Private` extractRemoteMethodToken

- extractRemoteMethodToken(): Constructor<IdOrInstanceOrToken<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>>

- #### Returns Constructor<IdOrInstanceOrToken<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>>

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:142

### `Protected` extractRemoteMethods

- extractRemoteMethods(formDefinition, controlId): Map<string, Constructor<IdOrInstanceOrToken<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, Constructor<IdOrInstanceOrToken<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>>>

  Inherited from ExtractRemoteMethodsMixin.extractRemoteMethods

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:59

### ngOnChanges

- ngOnChanges(changes): void

- #### Parameters

  - changes: SimpleChanges

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:126

### ngOnInit

- ngOnInit(): void

- A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Inherited from OnInit.ngOnInit

  - Defined in node_modules/@angular/core/index.d.ts:7722

### `Private` renderTemplate

- renderTemplate(parameters?): Promise<void>

- #### Parameters

  - `Optional` parameters: Parameters

  #### Returns Promise<void>

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:160